io.milvus.param.credential

## Class DeleteCredentialParam.Builder

- java.lang.Object
- - io.milvus.param.credential.DeleteCredentialParam.Builder

- Enclosing class:
    DeleteCredentialParam

      public static final class DeleteCredentialParam.Builder
      extends java.lang.Object

  Builder for `DeleteCredentialParam` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DeleteCredentialParam` | `build()` Verifies parameters and creates a new `DeleteCredentialParam` instance.
    `DeleteCredentialParam.Builder` | `withUsername(@NonNull java.lang.String username)` Sets the username.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withUsername

          public DeleteCredentialParam.Builder withUsername(@NonNull
                                                            @NonNull java.lang.String username)

      Sets the username. Username cannot be empty or null.
      Parameters:
        `username` - username
      Returns:
        `Builder`

    - #### build

          public DeleteCredentialParam build()
                                      throws ParamException

      Verifies parameters and creates a new `DeleteCredentialParam` instance.
      Returns:
        `DeleteCredentialParam`
      Throws:
        `ParamException`